Skip to content
WP EngineDocumentation

Verify domain mapping TXT record.

POST
/v1/accounts/{account}/apps/{app}/environments/{environment}/domainMappings/{domain}:verifyTxtRecord
curl --request POST \
--url https://js.wpengineapi.com/v1/accounts/example/apps/example/environments/example/domainMappings/example:verifyTxtRecord \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{}'
account
required
string

Name of your WP Engine Headless Platform account

app
required
string

Name of your Headless Platform application

environment
required
string

ID of your environment

domain
required
string

Domain name of the domain associated with the environment by this DomainMapping Must be a valid domain name as defined in RFC-1123

Media typeapplication/json

Request to verify domain mapping TXT record.

object
Examplegenerated
{}

A successful response.

Media typeapplication/json
Response of VerifyDomainMappingTxtRecordRequest
object
domainMapping
DomainMapping represents a domain associated with an environment
object
destinationDomainMapping
Domain redirect associated with this DomainMapping in the format of accounts/{account}/apps/{app}/environments/{environment}/domainMappings/{domain_mapping}
string
destinationDomainMappingState
Possible states of a DomainMapping
  • STATE_UNSPECIFIED: Domain mapping state is unknown
  • CREATING: Domain mapping is being created
  • DELETING: Domain mapping is being deleted
  • ACTIVE: Domain mapping is deployed. Does not necessarily mean that the domain is already directing to the environment, as Cloudflare status is currently not checked
  • FAILED: Domain mapping creation has failed, or domain was created but is no longer active due to other error
string
default: STATE_UNSPECIFIED
Allowed values: STATE_UNSPECIFIED CREATING DELETING ACTIVE FAILED
domain
required
Domain name of the domain associated with the environment by this DomainMapping Must be a valid domain name as defined in RFC-1123
string
name
Output only. Domain mapping name in the format of: `accounts/{account}/apps/{app}/environments/{environment}/domainMappings/{domain_mapping}`
string
primary
Defines if domain mapping is primary
boolean
state
Possible states of a DomainMapping
  • STATE_UNSPECIFIED: Domain mapping state is unknown
  • CREATING: Domain mapping is being created
  • DELETING: Domain mapping is being deleted
  • ACTIVE: Domain mapping is deployed. Does not necessarily mean that the domain is already directing to the environment, as Cloudflare status is currently not checked
  • FAILED: Domain mapping creation has failed, or domain was created but is no longer active due to other error
string
default: STATE_UNSPECIFIED
Allowed values: STATE_UNSPECIFIED CREATING DELETING ACTIVE FAILED
txtRecordVerifiedTime
Domain mapping txt record verified at
string format: date-time
txtVerificationName
Domain mapping txt verification record name
string
txtVerificationValue
Domain mapping txt verification record value
string
Example
{
"domainMapping": {
"destinationDomainMappingState": "STATE_UNSPECIFIED",
"state": "STATE_UNSPECIFIED"
}
}